FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-04-2008, 02:46 PM
"Arttu V."
 
Default Still kde problems with monolithic->split

On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:
> [blocks B ] <gnome-base/gail-1000 (is blocking x11-libs/gtk+-2.14.3-r2)

I'm no expert on this, but to me this looks like you're running some
unstable gnome/gtk packages? This particular line reminds me of this
quite fresh bug at bugs.gentoo.org:

http://bugs.gentoo.org/show_bug.cgi?id=239490

Maybe some of your unstable gnome stuff is causing some weird
side-effects? What if this gnome's unstable gail- and gtk+-related
issue is first fixed by that hint in that bug's last comment?

--
Arttu V.
 
Old 10-04-2008, 03:32 PM
 
Default Still kde problems with monolithic->split

Arttu V. <arttuv69@gmail.com> [08-10-04 16:49]:
> On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:
> > [blocks B ] <gnome-base/gail-1000 (is blocking x11-libs/gtk+-2.14.3-r2)
>
> I'm no expert on this, but to me this looks like you're running some
> unstable gnome/gtk packages? This particular line reminds me of this
> quite fresh bug at bugs.gentoo.org:
>
> http://bugs.gentoo.org/show_bug.cgi?id=239490
>
> Maybe some of your unstable gnome stuff is causing some weird
> side-effects? What if this gnome's unstable gail- and gtk+-related
> issue is first fixed by that hint in that bug's last comment?
>
> --
> Arttu V.
>


No, it does not help. The current state (excerpt) is:
[ebuild N ] media-video/totem-2.22.2-r1 USE="bluetooth gnome python -debug -galago -lirc -nautilus -nsplugin -nvtv -seamonkey -tracker -xulrunner" 0 kB
[blocks B ] kde-base/kdebase-kioslaves:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/libkonq:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khelpcenter:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcminit:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcontrol:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/khotkeys-3.5.9, kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/kdeprint-3.5.9, kde-base/kdialog-3.5.9-r1, kde-base/kdebase-data-3.5.9, kde-base/libkonq-3.5.9, kde-base/kicker-3.5.9, kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kdebase-kioslaves-3.5.9, kde-base/kdesu-3.5.9, kde-base/kfind-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9, kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
[blocks B ] kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdeprint:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdebase-data:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdepasswd:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kicker:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khotkeys:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kfind:3.5 (is blocking kde-base/kdebase-3.5.9-r3)

Total: 23 packages (3 upgrades, 4 downgrades, 15 new, 1 in new slot, 18 blocks), Size of downloads: 63,220 kB
solfire:/root>emerge -C /kdebase-kioslaves

!!! The path '/kdebase-kioslaves' doesn't exist.

solfire:/root>emerge -C kdebase-kioslaves

--- Couldn't find 'kdebase-kioslaves' to unmerge.

>>> No packages selected for removal by unmerge



--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 03:41 PM
Alan McKinnon
 
Default Still kde problems with monolithic->split

On Saturday 04 October 2008 16:19:10 meino.cramer@gmx.de wrote:
> Hi Alan,
>
> yes, this is the point where I am currently: Trying to unmerge these
> packages.
> It works physically, but after unmerging the stuff and redoing
> a emerge -pvuNDt (as I did to send you the list after trying to
> unmerge all packages in question) emerge thinks, that all that is
> still on my harddisc.
> See also my initial mail.
> Kind regards,
> Meino Cramer

That sounds like an impossibility (or a portage bug that hits only you...)

Can you supply the exact unmerge command you used?

--
alan dot mckinnon at gmail dot com
 
Old 10-04-2008, 03:50 PM
 
Default Still kde problems with monolithic->split

Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 17:49]:
> On Saturday 04 October 2008 16:19:10 meino.cramer@gmx.de wrote:
> > Hi Alan,
> >
> > yes, this is the point where I am currently: Trying to unmerge these
> > packages.
> > It works physically, but after unmerging the stuff and redoing
> > a emerge -pvuNDt (as I did to send you the list after trying to
> > unmerge all packages in question) emerge thinks, that all that is
> > still on my harddisc.
> > See also my initial mail.
> > Kind regards,
> > Meino Cramer
>
> That sounds like an impossibility (or a portage bug that hits only you...)
>
> Can you supply the exact unmerge command you used?
>
> --
> alan dot mckinnon at gmail dot com
>


emerge -C <package>

very simplistic...



--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 04:14 PM
Alan McKinnon
 
Default Still kde problems with monolithic->split

On Saturday 04 October 2008 17:50:35 meino.cramer@gmx.de wrote:
> Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 17:49]:
> > On Saturday 04 October 2008 16:19:10 meino.cramer@gmx.de wrote:
> > > Hi Alan,
> > >
> > > yes, this is the point where I am currently: Trying to unmerge these
> > > packages.
> > > It works physically, but after unmerging the stuff and redoing
> > > a emerge -pvuNDt (as I did to send you the list after trying to
> > > unmerge all packages in question) emerge thinks, that all that is
> > > still on my harddisc.
> > > See also my initial mail.
> > > Kind regards,
> > > Meino Cramer
> >
> > That sounds like an impossibility (or a portage bug that hits only
> > you...)
> >
> > Can you supply the exact unmerge command you used?
> >
> > --
> > alan dot mckinnon at gmail dot com
>
> emerge -C <package>
>
> very simplistic...

Is it possible you missed some? Your earlier mail shows:

[ebuild R ] kde-base/kdegraphics-3.5.9 USE="opengl
pdf* -arts* -debug -gphoto2 -imlib -kdeenablefinal -kpathsea% -openexr -povray -scanner -xinerama
(-tetex%)" 0 kB
[ebuild R ] kde-base/kdeartwork-3.5.9
USE="opengl -arts* -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
[ebuild R ] kde-base/kdeaddons-3.5.9 USE="berkdb
sdl -arts* -debug -kdeenablefinal -xinerama" 0 kB
[ebuild R ] kde-base/kdetoys-3.5.9
USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild R ] kde-base/kdeadmin-3.5.9
USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild R ] kde-base/kdenetwork-3.5.9
USE="ssl -arts* -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime -slp -wifi -xinerama"
0 kB
[ebuild R ] kde-base/kdewebdev-3.5.9
USE="-arts* -debug -doc -kdeenablefinal -tidy -xinerama" 0 kB
[ebuild R ] kde-base/kdeedu-3.5.9
USE="-arts* -debug -kdeenablefinal -kig-scripting -solver -xinerama" 0 kB
[ebuild R ] kde-base/kdegames-3.5.9
USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild R ] kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3
vorbis -akode -arts* -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama"
0 kB
[ebuild R ] kde-base/kdepim-3.5.9-r1
USE="-arts* -debug -gnokii -kdeenablefinal -pda -xinerama" 0 kB
[ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap opengl
pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba -xcomposite -xinerama -xscreensaver"
0 kB

Those first 11 are definitely monolithic packages and are definitely installed
according to portage. I can't assess how expert you are with portage, so I'll
get the easy questions out of the way first.

If those packages are in world, you have to explicitly remove them

emerge -avC =kdegraphics-3.5.9 =kdeartwork-3.5.9 ... etc etc etc

If they are not in world, just dependencies of kde-3.5.9 then

emerge -av --depclean

should be enough to remove them. The easy way to see if a package is in world
is if a colourized emerge output lists in in bright green.


--
alan dot mckinnon at gmail dot com
 
Old 10-04-2008, 04:35 PM
 
Default Still kde problems with monolithic->split

Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 18:20]:
> On Saturday 04 October 2008 17:50:35 meino.cramer@gmx.de wrote:
> > Alan McKinnon <alan.mckinnon@gmail.com> [08-10-04 17:49]:
> > > On Saturday 04 October 2008 16:19:10 meino.cramer@gmx.de wrote:
> > > > Hi Alan,
> > > >
> > > > yes, this is the point where I am currently: Trying to unmerge these
> > > > packages.
> > > > It works physically, but after unmerging the stuff and redoing
> > > > a emerge -pvuNDt (as I did to send you the list after trying to
> > > > unmerge all packages in question) emerge thinks, that all that is
> > > > still on my harddisc.
> > > > See also my initial mail.
> > > > Kind regards,
> > > > Meino Cramer
> > >
> > > That sounds like an impossibility (or a portage bug that hits only
> > > you...)
> > >
> > > Can you supply the exact unmerge command you used?
> > >
> > > --
> > > alan dot mckinnon at gmail dot com
> >
> > emerge -C <package>
> >
> > very simplistic...
>
> Is it possible you missed some? Your earlier mail shows:
>
> [ebuild R ] kde-base/kdegraphics-3.5.9 USE="opengl
> pdf* -arts* -debug -gphoto2 -imlib -kdeenablefinal -kpathsea% -openexr -povray -scanner -xinerama
> (-tetex%)" 0 kB
> [ebuild R ] kde-base/kdeartwork-3.5.9
> USE="opengl -arts* -debug -kdeenablefinal -xinerama -xscreensaver" 0 kB
> [ebuild R ] kde-base/kdeaddons-3.5.9 USE="berkdb
> sdl -arts* -debug -kdeenablefinal -xinerama" 0 kB
> [ebuild R ] kde-base/kdetoys-3.5.9
> USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild R ] kde-base/kdeadmin-3.5.9
> USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild R ] kde-base/kdenetwork-3.5.9
> USE="ssl -arts* -debug -jingle -kdeenablefinal -kdehiddenvisibility -rdesktop -sametime -slp -wifi -xinerama"
> 0 kB
> [ebuild R ] kde-base/kdewebdev-3.5.9
> USE="-arts* -debug -doc -kdeenablefinal -tidy -xinerama" 0 kB
> [ebuild R ] kde-base/kdeedu-3.5.9
> USE="-arts* -debug -kdeenablefinal -kig-scripting -solver -xinerama" 0 kB
> [ebuild R ] kde-base/kdegames-3.5.9
> USE="-arts* -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
> [ebuild R ] kde-base/kdemultimedia-3.5.9 USE="alsa encode gstreamer mp3
> vorbis -akode -arts* -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama"
> 0 kB
> [ebuild R ] kde-base/kdepim-3.5.9-r1
> USE="-arts* -debug -gnokii -kdeenablefinal -pda -xinerama" 0 kB
> [ebuild N ] kde-base/kdebase-3.5.9-r3 USE="branding cups hal ldap opengl
> pam -arts -debug -ieee1394 -java -joystick -kdeenablefinal -kdehiddenvisibility -lm_sensors -logitech-mouse -openexr -samba -xcomposite -xinerama -xscreensaver"
> 0 kB
>
> Those first 11 are definitely monolithic packages and are definitely installed
> according to portage. I can't assess how expert you are with portage, so I'll
> get the easy questions out of the way first.
>
> If those packages are in world, you have to explicitly remove them
>
> emerge -avC =kdegraphics-3.5.9 =kdeartwork-3.5.9 ... etc etc etc
>
> If they are not in world, just dependencies of kde-3.5.9 then
>
> emerge -av --depclean
>
> should be enough to remove them. The easy way to see if a package is in world
> is if a colourized emerge output lists in in bright green.
>
>
> --
> alan dot mckinnon at gmail dot com
>


I am still in trouble here:

emerge -avC

says, that there no packages found with the name <package-name> (for
example "=kdegraphics-3.5.9" oder "kdegraphics").

emerge -av depclean fails with:
solfire:/root>emerge --depclean

*** WARNING *** Depclean may break link level dependencies. Thus, it is
*** WARNING *** recommended to use a tool such as `revdep-rebuild` (from
*** WARNING *** app-portage/gentoolkit) in order to detect such breakage.
*** WARNING ***
*** WARNING *** Also study the list of packages to be cleaned for any obvious
*** WARNING *** mistakes. Packages that are part of the world set will always
*** WARNING *** be kept. They can be manually added to this set with
*** WARNING *** `emerge --noreplace <atom>`. Packages that are listed in
*** WARNING *** package.provided (see portage(5)) will be removed by
*** WARNING *** depclean, even if they are part of the world set.
*** WARNING ***
*** WARNING *** As a safety measure, depclean will not remove any packages
*** WARNING *** unless *all* required dependencies have been resolved. As a
*** WARNING *** consequence, it is often necessary to run
*** WARNING *** `emerge --update --newuse --deep world` prior to depclean.

Calculating dependencies... done!

Dependencies could not be completely resolved due to
the following required packages not being installed:

>=gnome-base/gail-1.1 required by gnome-extra/gtkhtml-3.18.3 gnome-base/gnome-applets-2.22.3
>=kde-base/kdebase-kioslaves-3.5.9:3.5 required by kde-base/khelpcenter-3.5.9 kde-base/konqueror-3.5.9
~x11-libs/fox-1.6.31 required by x11-misc/shutterbug-1.6.31
>=media-video/totem-1.4.0 required by dev-python/gnome-python-desktop-2.22.0
=kde-base/kdebase-kioslaves-3.5* required by net-p2p/ktorrent-2.2.7
sci-libs/gsl required by x11-misc/xaos-3.4
=app-crypt/qca-1.0* required by kde-base/kdenetwork-3.5.9
>=kde-base/kfind-3.5.9:3.5 required by kde-base/konqueror-3.5.9
>=kde-base/libkonq-3.5.9:3.5 required by kde-base/kdepasswd-3.5.9 kde-base/kicker-3.5.9 kde-base/kcontrol-3.5.9 kde-base/kdesktop-3.5.9-r1 kde-base/konqueror-3.5.9
>=gnome-base/gail-0.16 required by gnome-base/eel-2.22.2
sys-apps/xinetd required by net-misc/netkit-talk-0.17-r4
>=gnome-base/gail-1.19.6 required by gnome-base/libgnomecanvas-2.20.1.1
>=app-crypt/qca-1.0 required by app-crypt/qca-tls-1.0-r3
>=kde-base/khotkeys-3.5.9:3.5 required by kde-base/kcontrol-3.5.9
>=kde-base/kdebase-data-3.5.9:3.5 required by kde-base/kicker-3.5.9 kde-base/kcontrol-3.5.9
~kde-base/kdebase-3.5.9 required by kde-base/kdeartwork-3.5.9 kde-base/kdegames-3.5.9 kde-base/kdepim-3.5.9-r1 kde-base/kdegraphics-3.5.9 kde-base/kdeadmin-3.5.9 kde-base/kdenetwork-3.5.9 kde-base/kdeutils-3.5.9-r1
>=app-editors/vim-7.0 required by app-vim/gentoo-syntax-20070506
=kde-base/kdeprint-3.5* required by media-gfx/tgif-4.1.45

Have you forgotten to run `emerge --update --newuse --deep world` prior to
depclean? It may be necessary to manually uninstall packages that no longer
exist in the portage tree since it may not be possible to satisfy their
dependencies. Also, be aware of the --with-bdeps option that is documented
in `man emerge`.

* GNU info directory index is up-to-date.

and the suggested
emerge --update --newuse --deep world

fails due to blocking packages.

...sigh.




--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 04:55 PM
 
Default Still kde problems with monolithic->split

b.n. <brullonulla@gmail.com> [08-10-04 18:50]:
> meino.cramer@gmx.de ha scritto:
> >Arttu V. <arttuv69@gmail.com> [08-10-04 16:49]:
> >>On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:
> >>>[blocks B ] <gnome-base/gail-1000 (is blocking
> >>>x11-libs/gtk+-2.14.3-r2)
> >>I'm no expert on this, but to me this looks like you're running some
> >>unstable gnome/gtk packages? This particular line reminds me of this
> >>quite fresh bug at bugs.gentoo.org:
> >>
> >>http://bugs.gentoo.org/show_bug.cgi?id=239490
> >>
> >>Maybe some of your unstable gnome stuff is causing some weird
> >>side-effects? What if this gnome's unstable gail- and gtk+-related
> >>issue is first fixed by that hint in that bug's last comment?
> >>
> >>--
> >>Arttu V.
> >>
> >No, it does not help. The current state (excerpt) is:
> >[ebuild N ] media-video/totem-2.22.2-r1 USE="bluetooth gnome
> >python -debug -galago -lirc -nautilus -nsplugin -nvtv -seamonkey
> >-tracker -xulrunner" 0 kB
> >[blocks B ] kde-base/kdebase-kioslaves:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/libkonq:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/khelpcenter:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kcminit:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kcontrol:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdesktop:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] =kde-base/kdebase-3.5* (is blocking
> >kde-base/khotkeys-3.5.9, kde-base/kdesktop-3.5.9-r1,
> >kde-base/khelpcenter-3.5.9, kde-base/kdeprint-3.5.9,
> >kde-base/kdialog-3.5.9-r1, kde-base/kdebase-data-3.5.9,
> >kde-base/libkonq-3.5.9, kde-base/kicker-3.5.9,
> >kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9,
> >kde-base/kdebase-kioslaves-3.5.9, kde-base/kdesu-3.5.9,
> >kde-base/kfind-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9,
> >kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
> >[blocks B ] kde-base/kdm:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdeprint:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdebase-data:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdesu:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdialog:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kcheckpass:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/konqueror:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kdepasswd:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kicker:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/khotkeys:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >[blocks B ] kde-base/kfind:3.5 (is blocking
> >kde-base/kdebase-3.5.9-r3)
> >Total: 23 packages (3 upgrades, 4 downgrades, 15 new, 1 in new slot,
> >18 blocks), Size of downloads: 63,220 kB
> >solfire:/root>emerge -C /kdebase-kioslaves
> >!!! The path '/kdebase-kioslaves' doesn't exist.
> >solfire:/root>emerge -C kdebase-kioslaves
> >--- Couldn't find 'kdebase-kioslaves' to unmerge.
> >>>>No packages selected for removal by unmerge
>
> Did you unmerge kdebase?
>
> m.
>

yesno: emerge -C removes it (?) physically, but it is still reported
by emerge...

mcc

--
Please don't send me any Word- or Powerpoint-Attachments
unless it's absolutely neccessary. - Send simply Text.
See http://www.gnu.org/philosophy/no-word-attachments.html
In a world without fences and walls nobody needs gates and windows.
 
Old 10-04-2008, 05:00 PM
"b.n."
 
Default Still kde problems with monolithic->split

meino.cramer@gmx.de ha scritto:

Arttu V. <arttuv69@gmail.com> [08-10-04 16:49]:

On 10/4/08, meino.cramer@gmx.de <meino.cramer@gmx.de> wrote:

[blocks B ] <gnome-base/gail-1000 (is blocking x11-libs/gtk+-2.14.3-r2)

I'm no expert on this, but to me this looks like you're running some
unstable gnome/gtk packages? This particular line reminds me of this
quite fresh bug at bugs.gentoo.org:

http://bugs.gentoo.org/show_bug.cgi?id=239490

Maybe some of your unstable gnome stuff is causing some weird
side-effects? What if this gnome's unstable gail- and gtk+-related
issue is first fixed by that hint in that bug's last comment?

--
Arttu V.




No, it does not help. The current state (excerpt) is:
[ebuild N ] media-video/totem-2.22.2-r1 USE="bluetooth gnome python -debug -galago -lirc -nautilus -nsplugin -nvtv -seamonkey -tracker -xulrunner" 0 kB
[blocks B ] kde-base/kdebase-kioslaves:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/libkonq:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khelpcenter:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcminit:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcontrol:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesktop:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/khotkeys-3.5.9, kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/kdeprint-3.5.9, kde-base/kdialog-3.5.9-r1, kde-base/kdebase-data-3.5.9, kde-base/libkonq-3.5.9, kde-base/kicker-3.5.9, kde-base/kdepasswd-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kdebase-kioslaves-3.5.9, kde-base/kdesu-3.5.9, kde-base/kfind-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kdm-3.5.9, kde-base/konqueror-3.5.9, kde-base/kcminit-3.5.9)
[blocks B ] kde-base/kdm:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdeprint:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdebase-data:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdialog:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kcheckpass:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/konqueror:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kdepasswd:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kicker:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/khotkeys:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/kfind:3.5 (is blocking kde-base/kdebase-3.5.9-r3)

Total: 23 packages (3 upgrades, 4 downgrades, 15 new, 1 in new slot, 18 blocks), Size of downloads: 63,220 kB
solfire:/root>emerge -C /kdebase-kioslaves

!!! The path '/kdebase-kioslaves' doesn't exist.

solfire:/root>emerge -C kdebase-kioslaves

--- Couldn't find 'kdebase-kioslaves' to unmerge.


No packages selected for removal by unmerge


Did you unmerge kdebase?

m.
 

Thread Tools




All times are GMT. The time now is 04:59 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org